package com.zcloud.basic.info.persistence.repository;

import com.alibaba.cola.dto.MultiResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.persistence.dataobject.UserQualificationInfoDO;
import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;

import java.util.List;
import java.util.Map;

/**
* web-infrastructure
* @Author SondonYong
* @Date 2025-10-31 09:50:41
*/
public interface UserQualificationInfoRepository extends BaseRepository<UserQualificationInfoDO> {
    PageResponse<UserQualificationInfoDO> listPage(Map<String,Object> params);
    MultiResponse<UserQualificationInfoDO> list(Map<String,Object> params);

    SingleResponse<UserQualificationInfoDO> getInfoById(Long id);

    List<UserQualificationInfoDO> getTypeCountByCorpInfoId(Long id);

    List<UserQualificationInfoDO> listByCertificateNo(String certificateNo);

    List<UserQualificationInfoDO> listByIdAndCertificateNo(Long id, String certificateNo);


}

